/*

 File: functions.tpl, 2004/06/16

 ACETAF, Version 3.0.1

 Copyright (C) Markus Neher, markus.neher@math.uni-karlsruhe.de
               Ingo Eble,    ingoeble@web.de

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef _FUNCTIONS_TPL_INCLUDED
#define _FUNCTIONS_TPL_INCLUDED

#include <iostream>

// Template-Funktionen zum Einbinden in mathexpr.tpl und taylor.tpl.
// Fuer Anwendungen sind Spezialisierungen zu schreiben, da je nach Parametertyp die Funktionsaufrufe 
// anders lauten.

template<class T> T EXP(const T&)
{
  std::cout << "Spezialisierung von EXP fuer Parameter fehlt." << std::endl;
}

template<class T> T LN(const T&)
{
  std::cout << "Spezialisierung von LN fuer Parameter fehlt." << std::endl;
}

template<class T> T SQR(const T&)
{
  std::cout << "Spezialisierung von SQR fuer Parameter fehlt." << std::endl;
}

template<class T> T SQRT(const T&)
{
  std::cout << "Spezialisierung von SQRT fuer Parameter fehlt." << std::endl;
}

template<class T> T SIN(const T&)
{
  std::cout << "Spezialisierung von SIN fuer Parameter fehlt." << std::endl;
}

template<class T> T COS(const T&)
{
  std::cout << "Spezialisierung von COS fuer Parameter fehlt." << std::endl;
}

template<class T> T TAN(const T&)
{
  std::cout << "Spezialisierung von TAN fuer Parameter fehlt." << std::endl;
}

template<class T> T COT(const T&)
{
  std::cout << "Spezialisierung von COT fuer Parameter fehlt." << std::endl;
}

template<class T> T ASIN(const T&)
{
  std::cout << "Spezialisierung von ASIN fuer Parameter fehlt." << std::endl;
}

template<class T> T ACOS(const T&)
{
  std::cout << "Spezialisierung von ACOS fuer Parameter fehlt." << std::endl;
}

template<class T> T ATAN(const T&)
{
  std::cout << "Spezialisierung von ATAN fuer Parameter fehlt." << std::endl;
}

template<class T> T ACOT(const T&)
{
  std::cout << "Spezialisierung von ACOT fuer Parameter fehlt." << std::endl;
}

template<class T> T SINH(const T&)
{
  std::cout << "Spezialisierung von SINH fuer Parameter fehlt." << std::endl;
}

template<class T> T COSH(const T&)
{
  std::cout << "Spezialisierung von COSH fuer Parameter fehlt." << std::endl;
}

template<class T> T TANH(const T&)
{
  std::cout << "Spezialisierung von TANH fuer Parameter fehlt." << std::endl;
}

template<class T> T COTH(const T&)
{
  std::cout << "Spezialisierung von COTH fuer Parameter fehlt." << std::endl;
}

template<class T> T ASINH(const T&)
{
  std::cout << "Spezialisierung von ASINH fuer Parameter fehlt." << std::endl;
}

template<class T> T ACOSH(const T&)
{
  std::cout << "Spezialisierung von ACOSH fuer Parameter fehlt." << std::endl;
}

template<class T> T ATANH(const T&)
{
  std::cout << "Spezialisierung von ATANH fuer Parameter fehlt." << std::endl;
}

template<class T> T ACOTH(const T&)
{
  std::cout << "Spezialisierung von ACOTH fuer Parameter fehlt." << std::endl;
}

template<class T> T SQRT(const T&,int)
{
  std::cout << "Spezialisierung von SQRT(T,int) fuer Parameter fehlt." << std::endl;
}

template<class T> T POWER(const T&,int)
{
  std::cout << "Spezialisierung von POWER(T,int) fuer Parameter fehlt." << std::endl;
}

template<class T> T POW(const T&,const T&)
{
  std::cout << "Spezialisierung von POW(T,T) fuer Parameter fehlt." << std::endl;
}

#endif

/*

  End of File: functions.tpl

*/
